# pandas.DataFrame.sparse.from_spmatrix

classmethod `sparse.``from_spmatrix`(data, index=None, columns=None)

  Create a new DataFrame from a scipy sparse matrix.

  New in version 0.25.0.

  Parameters:

  data : scipy.sparse.spmatrix

  > Must be convertible to csc format.

  index, columns : Index, optional

  > Row and column labels to use for the resulting DataFrame. Defaults to a RangeIndex.

  Returns:

  DataFrame

  > Each column of the DataFrame is stored as a `SparseArray`.

  Examples

      >>> import scipy.sparse
      >>> mat = scipy.sparse.eye(3)
      >>> pd.DataFrame.sparse.from_spmatrix(mat)
           0    1    2
      0  1.0  0.0  0.0
      1  0.0  1.0  0.0
      2  0.0  0.0  1.0

Scroll To Top